
D4Science Infrastructure - Task #5457

Task # 5447 (Closed): Provide maintainable solution for hosting static web-apps + SFTP access for easy maintenance

Data transfer should support update

Oct 07, 2016 02:36 PM - Pasquale Pagano

Status: Closed Start date: Oct 07, 2016

Priority: Normal Due date:  

Assignee: Fabio Sinibaldi % Done: 100%

Category: Data Management Estimated time: 0.00 hour

Target version: Dataminer and StatMan provisioning   

Infrastructure: Development, Production   

Description

The data transfer service should support the capability to update previously transferred files and directories. 

History

#1 - Oct 21, 2016 04:18 PM - Fabio Sinibaldi

Current implementation supports these policies in case the file to transfer is already found in the specified path: 

throw error

rewrite

create numeric suffix eg: fileName(1), fileName(2)

append

These policies can be applied distinctively to folders and files.

Is this enough?

#2 - Oct 21, 2016 05:24 PM - Pasquale Pagano

- Status changed from New to Closed

- % Done changed from 0 to 100

Yes, the policies you provide satisfy the request. 
